<?php

/**
 * @file
 * Contains a ParserBase
 *
 * @license GPL v2 http://www.fsf.org/licensing/licenses/gpl.html
 * @author Chris Skene chris at previousnext dot com dot au
 * @copyright Copyright(c) 2014 Christopher Skene and PreviousNext
 */

namespace Drupal\fabricator\Parser;

use Drupal\fabricator\Component\Component;
use Drupal\fabricator\Exception\FabricatorException;

/**
 * Class ParserBase
 * @package Drupal\fabricator\Parser
 */
abstract class ParserBase implements ParserInterface {

  /**
   * {@inheritdoc}
   */
  public function parseSource(Component $component) {

    $export = $this->getContent($component);

    if (!isset($export[$component->exportKey]) || empty($export[$component->exportKey])) {
      throw new FabricatorException('No export found');
    }

    return $export[$component->exportKey];
  }
}
