<?php

/**
 * @file
 * Contains a PhpParser.
 *
 * @license GPL v2 http://www.fsf.org/licensing/licenses/gpl.html
 * @author Chris Skene chris at previousnext dot com dot au
 * @copyright Copyright(c) 2014 Christopher Skene and PreviousNext
 */

namespace Drupal\fabricator\Parser;

use Drupal\fabricator\Component\Component;
use Drupal\fabricator\Exception\FabricatorException;

/**
 * Class PhpParser
 * @package Drupal\fabricator\Parser
 */
class PhpParser extends ParserBase implements ParserInterface {

  /**
   * {@inheritdoc}
   */
  public function getContent(Component $component) {

    if (!isset($component->settings['path'])) {
      throw new FabricatorException('No path provided for blueprint file.');
    }

    $path = DRUPAL_ROOT . '/' . $component->settings['path'];

    if (!file_exists($path)) {
      watchdog('Fabricator', 'Invalid file supplied to parser.');
      return array();
    }

    ob_start();
    include($path);
    ob_end_clean();

    $vars = get_defined_vars();
    unset($vars['path']);

    return $vars;
  }
}
