<?php

/**
 * @file
 * Contains a Wizard
 *
 * @license GPL v2 http://www.fsf.org/licensing/licenses/gpl.html
 * @author Chris Skene chris at previousnext dot com dot au
 * @copyright Copyright(c) 2014 Christopher Skene and PreviousNext
 */

namespace Drupal\fabricator_wizard\Factory;

use Drupal\fabricator\Fabricator;
use Drupal\fabricator\Factory\FactoryManager;
use Drupal\fabricator\Component\ComponentManager;

/**
 * Class RapidContentType
 * @package Drupal\fabricator_wizard\Factory
 */
class Wizard {

  /**
   * Install all the things.
   *
   * @param array $settings
   *   All the things.
   *
   * @throws \Drupal\fabricator\Exception\FabricatorException
   */
  public function install($settings) {

    $component_manager = ComponentManager::init();

    $component = $component_manager->getComponent('fabricator_default_content_type');

    $component->blueprint['name'] = check_plain($settings['name']);
    $component->blueprint['type'] = check_plain($settings['machine_name']);
    $component->blueprint['description'] = t('Generated using the Fabricator Wizard');

    if (isset($settings['fields']) && !empty($settings['fields'])) {
      foreach ($settings['fields'] as $component_name => $component_settings) {
        $nested_component = $component_manager->getComponent($component_name);
        $nested_component->blueprint['field_name'] = $component_settings['label'];

        $component->addComponent($component_name, $nested_component);
      }
    }

    $component->rebuild();

    $factory = FactoryManager::init()->getFactory('content_type');

    Fabricator::init()->build($factory, $component);
  }

}
